<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 
$apiKey=file("/etc/bm/bm-core.tok") ;
$bmIni = '/etc/bm/bm.ini';

$dataBmIni = parse_ini_file($bmIni);
$thisURL=$dataBmIni['external-protocol']."://".$dataBmIni['external-url']."/soap/proxy?wsdl" ;



$thisList = array() ;


$serv = new SoapClient($thisURL);
$login = $serv->login(array('arg0' => 'admin0@global.virt', 'arg1' => $apiKey[0], 'arg2' => 'bmStats'));
$token = $login->return;

if($token==null || !isset($token->sessionId) || $token->sessionId==null) {
    echo "invalid login/password";
    exit(1);
} else {
}

# Get from https://localhost/soap/proxy?xsd=1
# Or generate client from WSDL using wsdl2php (http://sourceforge.net/projects/wsdl2php/)
class UserQuery {
    public $archived = null;
    public $dateBegin = null;
    public $delegationPrefix = null;
    public $directionPrefix = null;
    public $domainId = null;
    public $domain = null;
    public $email = null;
    public $expirationOp = null;
    public $extId = null;
    public $filterPattern = null;
    public $firstNamePrefix = null;
    public $groupPrefix = null;
    public $id = null;
    public $lastNamePrefix = null;
    public $login = null;
    public $loginPrefix = null;
    public $patterns = null;
    public $phonePrefix = null;
    public $profile = null;
    public $servicePrefix = null;
    public $system = null;
    public $quota = null ;
}



$userQuery = new UserQuery();

$userQuery->domainId != 0 ;

$users = $serv->findUsers(array('arg0' => $token, 'arg1' => $userQuery));


foreach($users->return as $user) {

    if($user->mailRouting != 'NONE') {

	$thisEntry = $user->domain->name.",".$user->login.",".$user->quota ;
	$thisList[] = $thisEntry ;    
    }

}
$serv->logout(array('arg0' => $token));


print implode(" ",$thisList) ;

?>